QT += quick

CONFIG += c++11 qml_debug declarative_debug
ICON = ErgRace.icns

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
        main.cpp

RESOURCES += qml.qrc

# Additional import path used to resolve QML modules in Qt Creator's code model
QML_IMPORT_PATH =

# Additional import path used to resolve QML modules just for Qt Quick Designer
QML_DESIGNER_IMPORT_PATH =

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

# MacOS specific
macos {
   QMAKE_INFO_PLIST = ./macOS/Info.plist
   macos:MAC_SDK = /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk
}

# iOS specific
ios {
     INCLUDEPATH += ./iOS
     QMAKE_INFO_PLIST = "./iOS/Info.plist"
     QMAKE_ASSET_CATALOGS += AppIcons/Assets.xcassets
     app_launch_images.files = $$files($$PWD/images/LaunchImages/LaunchImage*.png)
     QMAKE_BUNDLE_DATA += app_launch_images
     LIBS += -framework Foundation -framework CoreFoundation -framework UIKit
     DISTFILES += ./iOS/ErgRace.entitlements
}
